smartiemonster
Posts: 5
Joined: Thu Oct 26, 2017 5:18 pm

python3-pyqt5.qtwebengine on Raspbian Stretch ?

Thu Oct 26, 2017 5:31 pm

Hi all,
I'm looking for this package python3-pyqt5.qtwebengine but can't find it in the repositories - can anyone tell me if I've just got my sources wrong or is something really missing here?

According to this url it should exist:
https://packages.debian.org/stretch/pyt ... twebengine

and should be in the "main" section, but on the pi it comes up with nothing. If I try to install a package which depends on it, it fails with "... which is a virtual package and is not provided by any available package".

Am I missing something obvious, or is there some technical reason why the webengine bits aren't available (or aren't available yet) ?

fruitoftheloom
Posts: 20181
Joined: Tue Mar 25, 2014 12:40 pm
Location: Delightful Dorset

Re: python3-pyqt5.qtwebengine on Raspbian Stretch ?

Thu Oct 26, 2017 7:48 pm

smartiemonster wrote:
Thu Oct 26, 2017 5:31 pm
Hi all,
I'm looking for this package python3-pyqt5.qtwebengine but can't find it in the repositories - can anyone tell me if I've just got my sources wrong or is something really missing here?

According to this url it should exist:
https://packages.debian.org/stretch/pyt ... twebengine

and should be in the "main" section, but on the pi it comes up with nothing. If I try to install a package which depends on it, it fails with "... which is a virtual package and is not provided by any available package".

Am I missing something obvious, or is there some technical reason why the webengine bits aren't available (or aren't available yet) ?

The Debian Package clearly states i386/amd64 aka x86 CPU, a RPi does not use that CPU architecture....
adieu

Asus CS10 Chromebit / HP Envy 4500 Wireless Printer / Raspberry Pi Model 2B v1.1 / RealVNC Software...

smartiemonster
Posts: 5
Joined: Thu Oct 26, 2017 5:18 pm

Re: python3-pyqt5.qtwebengine on Raspbian Stretch ?

Thu Oct 26, 2017 8:53 pm

Oh no, you're right, I hadn't noticed that.
So that means there's no chance of it coming to the pi? I thought all the python and qt stuff could run on anything.

If I understand correctly, the previous webkit stuff is to be replaced by this webengine stuff, so that's why I was hoping to use it. Does anyone know if there's an alternative, or a plan to make it available at some time in the future?

fruitoftheloom
Posts: 20181
Joined: Tue Mar 25, 2014 12:40 pm
Location: Delightful Dorset

Re: python3-pyqt5.qtwebengine on Raspbian Stretch ?

Thu Oct 26, 2017 9:29 pm

smartiemonster wrote:
Thu Oct 26, 2017 8:53 pm
Oh no, you're right, I hadn't noticed that.
So that means there's no chance of it coming to the pi? I thought all the python and qt stuff could run on anything.

If I understand correctly, the previous webkit stuff is to be replaced by this webengine stuff, so that's why I was hoping to use it. Does anyone know if there's an alternative, or a plan to make it available at some time in the future?

Maybe build from the Source Package ????
adieu

Asus CS10 Chromebit / HP Envy 4500 Wireless Printer / Raspberry Pi Model 2B v1.1 / RealVNC Software...

Return to “Python”